function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
export var fetchMetadataObjList = function fetchMetadataObjList(list, type) {
  var newList = list === null || list === void 0 ? void 0 : list.map(function (item) {
    var arr = item.split(/[=:]/) || [];
    var obj = {
      key: arr[0],
      value: arr[1] || null
    };
    if (type === 'taints') {
      obj['effect'] = arr[2];
    }
    return obj;
  });
  return newList || [];
};
export var fetchMetadataObjFormat = function fetchMetadataObjFormat(data, type) {
  var list = [];
  if (data) {
    if (data.constructor === Object) {
      for (var key in data) {
        list.push({
          key: key,
          value: data[key]
        });
      }
    } else if (data.constructor === Array) {
      var item = data[0];
      if ((item === null || item === void 0 ? void 0 : item.constructor) === String) {
        list = fetchMetadataObjList(data, type);
      } else if ((item === null || item === void 0 ? void 0 : item.constructor) === Object) {
        list = _toConsumableArray(data);
      }
    } else {
      var datas = data.split(',') || [];
      list = fetchMetadataObjList(datas, type);
    }
  }
  return list;
};
export var fetchMetadataStrFormat = function fetchMetadataStrFormat(data, type) {
  var list = [];
  if (data) {
    if (data.constructor === Object) {
      for (var key in data) {
        var item = key + '=' + data[key];
        if (type === 'taints') {
          item = item + ':' + data[key].effect; //污点，待定
        }
        list.push(item);
      }
    } else if (data.constructor === Array) {
      var _item = data[0];
      if ((_item === null || _item === void 0 ? void 0 : _item.constructor) === String) {
        list = _toConsumableArray(data);
      } else if ((_item === null || _item === void 0 ? void 0 : _item.constructor) === Object) {
        list = data.map(function (item) {
          var str = item.key + '=' + item.value;
          if (type === 'taints') {
            str = str + ':' + item.effect;
          }
          return str;
        });
      }
    } else {
      list = data.split(',') || [];
    }
  }
  return list;
};